package com.muyu.rule.common.basic.abstracts;


import com.muyu.etl.domain.DataValue;
import com.muyu.rule.common.basic.BasicEngine;
import com.muyu.rule.common.basic.handler.DataEngineValueHandler;
import com.muyu.rule.common.domain.DataValueFie;

/**
 * @Author：张承志
 * @Package：com.muyu.rule.server.basic.abstracts
 * @Project：cloud-etl-rule
 * @name：DataEngineValueAu
 * @Date：2024/8/29 15:11
 */
public abstract class DataEngineValueActuator implements BasicEngine<DataValueFie> {

public void set(DataValueFie dataValue){
    DataEngineValueHandler.set(dataValue);
}

public DataValueFie get(){
    return DataEngineValueHandler.get();
}

    @Override
    public void execution() {
    this.run();
}
    public abstract void run();

}
